Subject: bug#8638: 24.0.50; Imenu should not include vacuous defvars

From: Juanma Barranquero <[email-masked]>
Date: Sun, 8 May 2011 20:50:37 +0200

On Sun, May 8, 2011 at 20:15, Drew Adams <[email-masked]> wrote:

> Could we please improve `lisp-imenu-generic-expression so that it does
> not include vacuous defvars such as (defvar foobar), which are generally
> used only to quiet the byte-compiler?

With lexical binding, (defvar foobar) is used to tell the bytecompiler
that the variable has dynamic scope.

    Juanma